## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global bash_completions_dir %{_datadir}/bash-completion/completions
%global fish_completions_dir %{_datadir}/fish/vendor_completions.d
%global zsh_completions_dir %{_datadir}/zsh/site-functions

# Generated by go2rpm 1.14.0
%bcond check 1

%global git_commit d80839cf37d860c8aa9a0503fe463278f26cd5e2
%global k8s_major 1
%global k8s_minor 33

# https://github.com/helm/helm
%global goipath         helm.sh/helm/v3
%global forgeurl        https://github.com/helm/helm
Version:                3.18.4

%gometa -f

%global common_description %{expand:
Helm is a tool for managing Charts. Charts are packages of pre-configured
Kubernetes resources.

Use Helm to:
- Find and use popular software packaged as Helm Charts to run in Kubernetes
- Share your own applications as Helm Charts
- Create reproducible builds of your Kubernetes applications
- Intelligently manage your Kubernetes manifest files
- Manage releases of Helm packages.}

Name:           helm
Release:        %autorelease
Summary:        The Kubernetes Package Manager

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

Obsoletes:      golang-helm-3 < 3.11.1-6
Obsoletes:      golang-helm-3-devel < 3.11.1-6


%description %{common_description}

%prep
%goprep
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires

%build
export GO_LDFLAGS="-X helm.sh/helm/v3/internal/version.version=%{version} \
                -X helm.sh/helm/v3/internal/version.gitCommit=%{git_commit} \
                -X helm.sh/helm/v3/internal/version.gitTreeState=clean \
                -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMajor=%{k8s_major} \
                -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMinor=%{k8s_minor} \
                -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMajor=%{k8s_major} \
                -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMinor=%{k8s_minor}"
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}/cmd/%{name}

%{gobuilddir}/bin/%{name} completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} completion zsh  > %{name}.zsh

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}


%check
%if %{with check}
for test in "TestRenderWithDNS" "TestVCSInstallerNonExistentVersion" "TestVCSInstallerUpdate" \
            "TestVCSInstaller" "TestInsecureTLSRegistryClientTestSuite" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license vendor/modules.txt
%doc ADOPTERS.md CONTRIBUTING.md README.md SECURITY.md code-of-conduct.md
%{_bindir}/helm
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
* Tue Sep 03 2024 sheeEngineering <packager@shee.org> - 3.15.4-1
- Build EPEL9 variant

* Fri Aug 16 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Update to 3.15.4 - Closes rhbz#2305288

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Improve package description

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Initial package - Closes rhbz#2300201
